#
# spec file for package qutecom
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Herbert Graeber
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#

%define _libsuffix %(echo %{_libdir}|sed 's/64$//')

Name:           qutecom
Version:        2.2.1
Release:        18.207
Summary:        A sip phone
License:        GPL-2.0
Group:          Productivity/Telephony/SIP/Clients
Url:            http://trac.qutecom.org
Source:         %{name}-%{version}.tar.bz2
Patch1:         qutecom-wifo-fix.patch
#Patch2:         qutecom-ffmpeg.patch
Patch3:         qutecom-install.patch
#PATCH-FIX-UPSTREAM qutecom-2.2.1_videodev.patch [deb#623549] cavedon@debian.org -- Fix videodev.h moved to libv4l1-videodev.h
Patch4:         qutecom-2.2.1_videodev.patch
#PATCH-FIX-UPSTREAM qutecom-2.2.1_boost.patch avvissu@yandex.ru -- Fix build for the latest boost version >=1.5
Patch5:         qutecom-2.2.1_boost.patch
#PATCH-FIX-UPSTREAM utecom-2.2.1_libav9.patch [bugs.gentoo.org#443254] aballier@gentoo.org -- Fix build with latest ffmpeg
Patch6:         qutecom-2.2.1_libav9.patch
#PATCH-FIX-UPSTREAM qutecom-2.2.1_libav10.patch [deb#739427] anton@khirnov.net -- Fix build error with libav10
Patch7:         qutecom-2.2.1_libav10.patch
#PATCH-FIX-UPSTREAM qutecom-2.2.1_link_pthread.patch avvissu@yandex.ru -- Link pthread library
Patch8:         qutecom-2.2.1_link_pthread.patch
#PATCH-FIX-UPSTREAM qutecom-2.2.1_link_boost_sys.patch dmitrij.ledkov@ubuntu.com -- Link boost-system for boost >=1.5
Patch9:         qutecom-2.2.1_link_boost_sys.patch
#PATCH-FIX-UPSTREAM qutecom-2.2.1_avcodec0.7-api.patch [lp:#791275] cavedon@debian.org -- build with new libav >= 0.7 API
Patch10:        qutecom-2.2.1_avcodec0.7-api.patch
#PATCH-FIX-OPENSUSE no-return-in-nonvoid-function.patch avvissu@yandex.ru -- Fix build errors found by RPMlint
Patch11:        no-return-in-nonvoid-function.patch
#PATCH-FIX-UPSTREAM find-qt4-cmake30.patch [deb:#758545] fgeyer@debian.org -- Fix build error with cmake >= 2.8.12
Patch12:        qutecom-2.2.1_find-qt4-cmake30.patch
#PATCH-FIX-UPSTREAM cmake-force-fpic.patch mnencia@debian.org -- Compile the libraries with -fPIC
Patch13:        qutecom-2.2.1_cmake-force-fpic.patch
Patch14:        qutecom-addrinfo.patch
Patch15:        qutecom-qt.patch
Patch16:        qutecom-includes.patch
BuildRequires:  alsa-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  update-desktop-files 
BuildRequires:  fdupes
BuildRequires:  glib2-devel
BuildRequires:  gnutls-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  libQtWebKit-devel
BuildRequires:  libcurl-devel
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavformat) = 56.40.101
BuildRequires:  pkgconfig(libavutil) = 54.31.100
BuildRequires:  pkgconfig(libswscale) = 3.1.101
BuildRequires:  libpurple-devel
BuildRequires:  libqt4-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libspeex-devel
BuildRequires:  libuuid-devel
BuildRequires:  libv4l-devel
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
BuildRequires:  portaudio-devel
#BuildRequires: libosip2-devel
#BuildRequires:	libeXosip2-devel
BuildRequires:  python-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QuteCom is a community of enthusiasts and developers, creating free
software products related to communication over IP. The flagship
product of the QuteCom project is a softphone which allows you to make
free PC to PC video and voice calls, and to integrate all your IM
contacts in one place.

%prep
%setup -q
%patch1 -p1
#%patch2 -p2
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
LIBSUFFIX=$(echo "%{_lib}" | sed 's|^lib||')
pushd build
CFLAGS="%{optflags}" \
CXXFLAGS="-std=gnu++98 %{optflags}" \
cmake \
    -DCMAKE_EXE_LINKER_FLAGS="-lX11" \
    -DCMAKE_BUILD_TYPE=RelWithDebInfo \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=OFF \
    -DCMAKE_INSTALL_RPATH="%{_libdir}/qutecom" \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
    -DCMAKE_STRIP="%{_bindir}/touch" \
    -DLIB_SUFFIX="$LIBSUFFIX" \
    -DPORTAUDIO_INTERNAL=OFF \
    -DOSIP_INTERNAL=ON \
    -DLIBPURPLE_INTERNAL=OFF \
    ..
make %{?_smp_mflags}
popd

%install
pushd build
%make_install
popd

L="$PWD/lang"
echo -n >"$L"
pushd "%{buildroot}%{_datadir}/%{name}/lang"
/bin/ls -1 *.qm | while read qm; do
    [ -e "$qm" ] || continue
    l="${qm%.qm}"
    echo "%lang($l) %{_datadir}/%{name}/lang/${qm}" >>"$L"
done
rm -fv %{buildroot}%{_libsuffix}/pm-utils/sleep.d/70QuteCom
rmdir -p %{buildroot}%{_libsuffix}/pm-utils/sleep.d/ || :

%suse_update_desktop_file %{name}

#Removed zero-length files
find %{buildroot}%{_datadir}/%{name}/chat -type f -empty -exec rm {} \;

#Removed useless files
find %{buildroot}%{_datadir}/%{name}/chat -type f -name *.c -exec rm {} \;

#Files-duplicate (errors to create symlinks on openSUSE > 13.1: link target doesn't exist)
%fdupes %{buildroot}%{_datadir}/%{name}/{chat,pics}

%files -f lang
%defattr(-,root,root)
%doc README COPYING %{name}/AUTHORS
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/lang
%exclude %{_datadir}/%{name}/AUTHORS
%exclude %{_datadir}/%{name}/COPYING
%{_datadir}/%{name}/chat
%{_datadir}/%{name}/config
%{_datadir}/%{name}/css
%{_datadir}/%{name}/pics
%{_datadir}/%{name}/qutecom.qrc
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/webpages
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}
%{_bindir}/%{name}

%changelog
* Sat Jan  7 2017 aloisio@gmx.com
- Fixed TW build
* Tue Sep 22 2015 olaf@aepfle.de
- Use pkgconfig for ffmpeg BuildRequires
* Fri Jul 24 2015 avvissu@yandex.ru
- Fix build on openSUSE > 13.2: no pm-utils
* Thu May 21 2015 olaf@aepfle.de
- No pm-utils available in SLE12
* Fri Oct 10 2014 avvissu@yandex.ru
- Fix build error on openSUSE > 13.1 (find-qt4-cmake30.patch)
- Fix to compile packages for ARM architectures:
  add qutecom-2.2.1_cmake-force-fpic.patch
- Fix to build on SLES11:
  * add RPM tests suse_version
  * use _libdir instead _libexecdir
* Mon Oct  6 2014 avvissu@yandex.ru
- Fix build errors:
  * fix build for the latest boost version >=1.5
    (add qutecom-2.2.1_boost.patch)
  * fix videodev.h moved to libv4l1-videodev.h
    (add qutecom-2.2.1_videodev.patch)
  * fix build with latest ffmpeg (add utecom-2.2.1_libav9.patch)
  * fix build with libav10 (add qutecom-2.2.1_libav10.patch)
  * link pthread library (add qutecom-2.2.1_link_pthread.patch)
  * link boost-system for the latest boost version >=1.5
    (add qutecom-2.2.1_link_boost_sys.patch)
  * build with new libav >= 0.7 API
    (add qutecom-2.2.1_avcodec0.7-api.patch)
  * fix build errors found by RPMlint
    (add no-return-in-nonvoid-function.patch)
  * fix incomplete type 'QTimer'
  * fix errors implicit-fortify-decl
- Removed zero-length files
- Used fdupes for files-duplicate
- Changed the spec file through spec-cleaner
- fix error while loading shared libraries:
  * use the RPATH settings for linking shared libraries
* Sun May 27 2012 Manfred.Tremmel@iiv.de
- removed hard coded depencency to libavcodec53
* Thu Oct 13 2011 herbert@links2linux.de
- Fix install
* Wed Oct 12 2011 herbert@links2linux.de
- Fix copyright of spec
- Try to fix debug info
* Tue Oct 11 2011 herbert@links2linux.de
- Initial package
